USERDEL(8)

NAME
userdel - remove a user from the system

SYNOPSIS
userdel -D [-p preserve-value]
userdel [-rv] [-p preserve-value] user

DESCRIPTION
The userdel utility removes a user from the system, optionally removing that user's home directory and any subdirectories.

Default values are taken from the information provided in the /etc/usermgmt.conf file, which, if running as root, is created using the built-in defaults if it does not exist.

The first form of the command shown above (using the -D option) sets and displays the defaults for the userdel utility.

-D  Without any further options, -D will show the current defaults which will be used by the userdel utility. Together with one of the options shown for the first version of the command, -D will set the default to be the new value.

-p preserve-value
    Sets the preservation value. If this value is one of ‘true’, ‘yes’, or a non-zero number, then the user login information will be preserved.

In the second form of the command, after setting any defaults, and then reading values from /etc/usermgmt.conf, the following command line options are processed:

-p preserve-value
    Preserve the user information in the password file, but do not allow the user to login, by switching the password to an “impossible” one, and by setting the user's shell to the nologin(8) program. This option can be helpful in preserving a user's files for later use by members of that person's group after the user has moved on. This value can also be set in the /etc/usermgmt.conf file, using the ‘preserve’ field. If the field has any of the values ‘true’, ‘yes’, or a non-zero number, then user information preservation will take place.

-r  Remove the user's home directory, any subdirectories, and any files and other entries in them.

-v  Perform any actions in a verbose manner.

Once the information has been verified, userdel uses pwd_mkdb(8) to update the user database. This is run in the background, and, at very large sites could take several minutes. Until this update is completed, the password file is unavailable for other updates and the new information is not available to programs.

FILES
/etc/usermgmt.conf

EXIT STATUS

SEE ALSO
passwd(5), usermgmt.conf(5), nologin(8), pwd_mkdb(8)

HISTORY
The userdel utility first appeared in OpenBSD 2.7.

AUTHORS
The userdel utility was written by Alistair G. Crooks <agc@NetBSD.org>.